# Render enrollment template

## GET /public/v1/program/enrollments/{id}/render

> Renders enrollment template

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"prod-4.0.155-g3cf2ba3f"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/program/enrollments/{id}/render":{"get":{"tags":["Enrollment"],"summary":"Renders enrollment template","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"language","in":"query","schema":{"type":"string"}},{"name":"Accept-Language","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
